# Interface ContractState

This type represents the state of a contract aside from its storage.

#### Hierarchy

- ContractState

- Defined in decoder/lib/types.ts:79

#####
Index

### Properties

address
balanceAsBN
class
code
nonceAsBN

## Properties

### address

address: string

The contract's address, as a checksummed hex string.

- Defined in decoder/lib/types.ts:87

### balanceAsBN

balanceAsBN: BN

The contract's balance, in Wei, as a BN.

- Defined in decoder/lib/types.ts:91

### class

class: ContractType

The contract's class, as a Format.Types.ContractType.

- Defined in decoder/lib/types.ts:83

### code

code: string

The contract's code, as a hexidecimal string.

- Defined in decoder/lib/types.ts:99

### nonceAsBN

nonceAsBN: BN

The contract's nonce, as a BN.

- Defined in decoder/lib/types.ts:95

Generated using TypeDoc